/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     2000/02/10
// RCS-ID:      
// Copyright:   (c) 2000 PM-Soft
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef __CARDCTRL_G__
#define __CARDCTRL_G__

#include "wx/panel.h"

class wxCardCtrl : public wxPanel
{
public:
	wxCardCtrl();

	wxCardCtrl( wxWindow* parent, wxWindowID id, 
				const wxPoint& pos = wxDefaultPosition, 
				const wxSize& size = wxDefaultSize, 
				long style = wxTAB_TRAVERSAL, 
				const wxString& name = "cardctrl");

	bool Create( wxWindow* parent, wxWindowID id, 
				 const wxPoint& pos = wxDefaultPosition, 
				 const wxSize& size = wxDefaultSize, 
				 long style = wxTAB_TRAVERSAL, 
				 const wxString& name = "cardctrl");

	bool ShowCard( wxWindowID cardWndId );
	bool CardIsShown( wxWindowID cardWndId );

	DECLARE_DYNAMIC_CLASS(wxCardCtrl)
	DECLARE_EVENT_TABLE()

protected:
	wxWindow* FindChildById( wxWindowID id );
	bool ArrangeCards();
	void HideAll();

protected:
	wxWindowID mShownId;
};

#endif // __CARDCTRL_G__